Page MenuHomePhabricator

MCR schema migration stage 0: create tables
Closed, ResolvedPublic

Event Timeline

daniel triaged this task as Normal priority.Dec 21 2017, 6:34 PM
daniel created this task.

Change 378724 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] MCR database schema

https://gerrit.wikimedia.org/r/378724

daniel updated the task description. (Show Details)Dec 21 2017, 6:46 PM
Anomie added a project: DBA.Jan 8 2018, 4:12 PM
Anomie added a subscriber: Anomie.

DBA: Since creating tables isn't classified as a schema change actually needing DBA intervention, do you have any objection to me creating the four tables shown in the diff at https://gerrit.wikimedia.org/r/#/c/378724/35/maintenance/tables.sql on all wikis? Or, if you'd rather do it yourselves, feel free.

DBA: Since creating tables isn't classified as a schema change actually needing DBA intervention, do you have any objection to me creating the four tables shown in the diff at https://gerrit.wikimedia.org/r/#/c/378724/35/maintenance/tables.sql on all wikis? Or, if you'd rather do it yourselves, feel free.

Fine by me! Go ahead :-)

Anomie added a comment.Jan 8 2018, 4:22 PM

Ok, I put it on the deployment page for tomorrow.

Mentioned in SAL (#wikimedia-operations) [2018-01-09T15:07:14Z] <anomie> Creating MCR tables on all wikis (T183486)

Anomie closed this task as Resolved.Jan 9 2018, 3:11 PM
Anomie claimed this task.
daniel reopened this task as Open.Jul 10 2018, 1:16 PM

Re-opening: the tables where dropped again per T190153, and SAL does not indicate that they have been re-created since.

Marostegui added a comment.EditedJul 10 2018, 1:25 PM

Did you check if they are there? Because I can see them, maybe @Anomie forgot to !log them - so not sure if we are looking at the same thing:

for i in `cat /home/marostegui/git/mediawiki-config/dblists/s1.dblist `; do echo "===$i==="; mysql.py -hdb1052 $i -e "show tables like 'slots'" -BN;done
===enwiki===
slots


for i in `cat /home/marostegui/git/mediawiki-config/dblists/s2.dblist `; do echo "===$i==="; mysql.py -hdb1066 $i -e "show tables like 'slots'" -BN;done
===bgwiki===
slots
===bgwiktionary===
slots
===cswiki===
slots
===enwikiquote===
slots
===enwiktionary===
slots
===eowiki===
slots
===fiwiki===
slots
===idwiki===
slots
===itwiki===
slots
===nlwiki===
slots
===nowiki===
slots
===plwiki===
slots
===ptwiki===
slots
===svwiki===
slots
===thwiki===
slots
===trwiki===
slots
===zhwiki===
slots

 for i in `cat /home/marostegui/git/mediawiki-config/dblists/s3.dblist `; do echo "===$i==="; mysql.py -hdb1075 $i -e "show tables like 'slots'" -BN;done
===aawiki===
slots
===aawikibooks===
slots
===aawiktionary===
slots
===abwiki===
slots
===abwiktionary===
slots
===acewiki===
slots
===advisorywiki===
<snip>


for i in `cat /home/marostegui/git/mediawiki-config/dblists/s4.dblist `; do echo "===$i==="; mysql.py -hdb1068 $i -e "show tables like 'slots'" -BN;done
===commonswiki===
slots

 for i in `cat /home/marostegui/git/mediawiki-config/dblists/s5.dblist `; do echo "===$i==="; mysql.py -hdb1070 $i -e "show tables like 'slots'" -BN;done
===dewiki===
slots


for i in `cat /home/marostegui/git/mediawiki-config/dblists/s6.dblist `; do echo "===$i==="; mysql.py -hdb1061 $i -e "show tables like 'slots'" -BN;done
===frwiki===
slots
===jawiki===
slots
===ruwiki===
slots

for i in `cat /home/marostegui/git/mediawiki-config/dblists/s7.dblist `; do echo "===$i==="; mysql.py -hdb1062 $i -e "show tables like 'slots'" -BN;done
===arwiki===
slots
===cawiki===
slots
===eswiki===
slots
===fawiki===
slots
===frwiktionary===
slots
===hewiki===
slots
===huwiki===
slots
===kowiki===
slots
===metawiki===
slots
===rowiki===
slots
===ukwiki===
slots
===viwiki===
slots

for i in `cat /home/marostegui/git/mediawiki-config/dblists/s8.dblist `; do echo "===$i==="; mysql.py -hdb1071 $i -e "show tables like 'slots'" -BN;done
===wikidatawiki===
slots
daniel closed this task as Resolved.Jul 10 2018, 1:29 PM

Seems like i mistyped when checking the log or something. It's there https://tools.wmflabs.org/sal/log/AWLjRFZ_CdtJF089CawE. Closing again, sorry for the confusion.

Change 419270 had a related patch set uploaded (by Daniel Kinzler; owner: Anomie):
[mediawiki/core@master] Correct recent schema changes for MSSQL, Oracle

https://gerrit.wikimedia.org/r/419270

Change 419270 merged by jenkins-bot:
[mediawiki/core@master] Correct recent schema changes for MSSQL, Oracle

https://gerrit.wikimedia.org/r/419270